Edits an account
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | The identifier for the account being edited | integer (int32) | Required |
Request Body
AccountEditV202507
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accountCode | The account code Required Must be between 0 and 50 characters | string | |||||||||||||||||||||||||||||||||
| accountDescription | A description of the account Must be between 0 and 4000 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
| accountInfo | The account info Required Must be between 0 and 50 characters | string | |||||||||||||||||||||||||||||||||
| accrualEnabled | Indicates if the account is used with accruals Required (defined) | boolean | |||||||||||||||||||||||||||||||||
| active | Indicates if the account is active or inactive Required (defined) | boolean | |||||||||||||||||||||||||||||||||
| billAcquisitionMethod | The BillCapture bill acquisition method for the account EnergyCap.Shared.Common.Utilities.BillCaptureAccountBillAcquisitionMethod One of ‘Customer_Upload’, ‘Mail_Redirect’, ‘Web_Download’, ‘Web_Download_And_Extract_1’, ‘Web_Download_And_Extract_2’, ‘EDI’, ‘Custom_Import’, ‘Email_Delivery’ Required (defined) | string | |||||||||||||||||||||||||||||||||
| city | The address city Must be between 0 and 100 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
| contactId | The identifier for the account’s contact Required (defined) | integer (int32) | |||||||||||||||||||||||||||||||||
| costCenterId | The identifier for the cost center to which the account belongs Topmost (CostCenter) Required | integer (int32) | |||||||||||||||||||||||||||||||||
| country | The address country Required Must be between 0 and 64 characters | string | |||||||||||||||||||||||||||||||||
| customerId | The identifier for the customer the account serves. This is normally only set for chargeback accounts Required (defined) | integer (int32) | |||||||||||||||||||||||||||||||||
| depositAmount | The account deposit amount Required (defined) | number (double) | |||||||||||||||||||||||||||||||||
| depositNote | A note related to the account deposit Required (defined) | string | |||||||||||||||||||||||||||||||||
| depositPaid | The date and time the account deposit was paid Required (defined) | string (date-time) | |||||||||||||||||||||||||||||||||
| depositReturn | The date and time the account deposit was returned Required (defined) | string (date-time) | |||||||||||||||||||||||||||||||||
| generalLedgerId | The identifier for the account’s generalLedgerId Required (defined) | integer (int32) | |||||||||||||||||||||||||||||||||
| landlordAccount | Indicates whether the account is a landlord account Required (defined) | boolean | |||||||||||||||||||||||||||||||||
| line1 | The address first line Must be between 0 and 100 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
| line2 | The address second line Must be between 0 and 100 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
| line3 | The address third line Must be between 0 and 100 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
| memo | The account memo Required (defined) | string | |||||||||||||||||||||||||||||||||
| postalCode | The address postal code Required when country is US or CA Must be between 0 and 32 characters | string | |||||||||||||||||||||||||||||||||
| remitAddress | AddressChildBase | ||||||||||||||||||||||||||||||||||
|
AddressChildBase properties
|
|||||||||||||||||||||||||||||||||||
| remitEmail | The remit email Must be between 0 and 128 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
| remitPhoneNumber | The remit phone number Must be between 0 and 50 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
| serviceEnd | The account’s service end date and time Must be greater than ServiceStart Required (defined) | string (date-time) | |||||||||||||||||||||||||||||||||
| serviceStart | The account’s service begin date and time Required (defined) | string (date-time) | |||||||||||||||||||||||||||||||||
| state | The address state Must be between 0 and 100 characters Required (defined) | string | |||||||||||||||||||||||||||||||||
Example Request Body
{ "accountCode": "string", "accountDescription": "string", "accountInfo": "string", "accrualEnabled": false, "active": false, "billAcquisitionMethod": "string", "city": "string", "contactId": 1, "costCenterId": 1, "country": "string", "customerId": 1, "depositAmount": 1.0, "depositNote": "string", "depositPaid": "2026-03-30", "depositReturn": "2026-03-30", "generalLedgerId": 1, "landlordAccount": false, "line1": "string", "line2": "string", "line3": "string", "memo": "string", "postalCode": "string", "remitAddress": { "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "remitEmail": "string", "remitPhoneNumber": "string", "serviceEnd": "2026-03-30", "serviceStart": "2026-03-30", "state": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
AccountResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| accountCode | The account code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountCodeAliases | An array of account code aliases | string[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountCodeHistory | AccountCodeHistoryChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountCodeHistoryChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountDescription | A description of the account | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountGeneralLedger | GeneralLedgerChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GeneralLedgerChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountId | The account identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountInfo | The account info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountMeterId | The accountmeter identifier for the account | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accountType | AccountTypeChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountTypeChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| accrualEnabled | Indicates if this account is used with accruals | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| active | Indicates whether the Account is active or inactive | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| address | AddressChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| auditEnabled | When true, bills for this account will be audited | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billAcquisitionMethod | The BillCapture bill acquisition method for the account EnergyCap.Shared.Common.Utilities.BillCaptureAccountBillAcquisitionMethod | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billNextIssueDate | The BillCapture anticipated date of the next bill issue date for the account | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billNextReceiptDate | The BillCapture anticipated date of the next bill receipt date for the account | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billingFrequency | The BillCapture calculated billing frequency for the account EnergyCap.Shared.Common.Utilities.BillCaptureAccountBillingFrequency | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| contact | ContactChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ContactChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costCenter | CostCenterChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CostCenterChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the account was created | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| customer | CustomerChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CustomerChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataAccessReleaseApproved | Indicates if the DataAccessRelease is approved null if there is no release | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dataAccessReleaseId | The data access release identifier for this Account, null if there is no release. | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| depositAmount | The account deposit amount | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| depositNote | A note related to the account deposit | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| depositPaid | The date and time a deposit was paid | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| depositReturn | The date and time the account deposit was returned | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hasCalculatedMeter | Indicates whether the Account has a child calculated meter | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hasSplitChildMeter | Indicates whether the Account has a child split meter | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hasSplitParentMeter | Indicates whether the Account is a recipient of a split | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| hasSubAccount | Indicates whether the Account has a sub-account | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| landlordAccount | Is this a landlord account? | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| memo | The account memo | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meters | An array of identifiers for meters attached to this account | AccountMeterChildWithSerialNumber[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountMeterChildWithSerialNumber properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| remitAddress | AddressChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| remitEmail | The remit email address | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| remitPhoneNumber | The remit phone number | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| serviceEnd | The account’s service end date and time | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| serviceStart | The account’s service begin date and time | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| splitAccountChargesConfigured | If there are settings configured to split account charges for this account | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| summaryAccount | AccountChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
AccountChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| vendor | VendorChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
VendorChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "accountCode": "string", "accountCodeAliases": [
"string"
], "accountCodeHistory": { "endDate": "2026-03-30", "previousAccountCode": "string"
}, "accountDescription": "string", "accountGeneralLedger": { "generalLedgerCode": "string", "generalLedgerId": 1, "generalLedgerInfo": "string"
}, "accountId": 1, "accountInfo": "string", "accountMeterId": 1, "accountType": { "accountTypeCode": "string", "accountTypeId": 1, "accountTypeInfo": "string"
}, "accrualEnabled": false, "active": false, "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "auditEnabled": false, "billAcquisitionMethod": "string", "billNextIssueDate": "2026-03-30", "billNextReceiptDate": "2026-03-30", "billingFrequency": "string", "contact": { "contactId": 1, "first": "string", "last": "string", "middle": "string"
}, "costCenter": { "costCenterCode": "string", "costCenterId": 1, "costCenterInfo": "string"
}, "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "customer": { "customerCode": "string", "customerId": 1, "customerInfo": "string"
}, "dataAccessReleaseApproved": false, "dataAccessReleaseId": 1, "depositAmount": 1.0, "depositNote": "string", "depositPaid": "2026-03-30", "depositReturn": "2026-03-30", "hasCalculatedMeter": false, "hasSplitChildMeter": false, "hasSplitParentMeter": false, "hasSubAccount": false, "landlordAccount": false, "memo": "string", "meters": [
{ "accountMeterId": 1, "active": false, "commodity": { "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "endDate": "2026-03-30", "isCalculatedMeter": false, "isSplitChildMeter": false, "isSplitParentMeter": false, "meterCode": "string", "meterGeneralLedger": { "generalLedgerCode": "string", "generalLedgerId": 1, "generalLedgerInfo": "string"
}, "meterId": 1, "meterInfo": "string", "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "serialNumber": "string", "startDate": "2026-03-30", "vendorType": { "vendorTypeCode": "string", "vendorTypeId": 1
}
}
], "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "remitAddress": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "remitEmail": "string", "remitPhoneNumber": "string", "serviceEnd": "2026-03-30", "serviceStart": "2026-03-30", "splitAccountChargesConfigured": false, "summaryAccount": { "accountCode": "string", "accountId": 1, "accountInfo": "string", "active": false, "hasCalculatedMeter": false, "hasSplitChildMeter": false, "hasSplitParentMeter": false, "hasSubAccount": false, "isSubAccount": false, "vendor": { "vendorCode": "string", "vendorId": 1, "vendorInfo": "string"
}
}, "vendor": { "vendorCode": "string", "vendorId": 1, "vendorInfo": "string"
}
}